org.modeshape.sequencer.ddl.dialect.teiid

## Enum TeiidDdlConstants.DdlStatement

- java.lang.Object
- - java.lang.Enum<TeiidDdlConstants.DdlStatement>
  - - org.modeshape.sequencer.ddl.dialect.teiid.TeiidDdlConstants.DdlStatement

- All Implemented Interfaces:
    Serializable, Comparable<TeiidDdlConstants.DdlStatement>, TeiidDdlConstants.DdlElement
  Enclosing interface:
    TeiidDdlConstants

      public static enum TeiidDdlConstants.DdlStatement
      extends Enum<TeiidDdlConstants.DdlStatement>
      implements TeiidDdlConstants.DdlElement

  `( | | | | ) ( )?`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALTER_FOREIGN_PROCEDURE`
    `ALTER_FOREIGN_TABLE`
    `ALTER_FOREIGN_VIEW`
    `ALTER_PROCEDURE`
    `ALTER_TABLE`
    `ALTER_VIEW`
    `ALTER_VIRTUAL_PROCEDURE` Alter Options `ALTER ( VIRTUAL | FOREIGN )?`
    `ALTER_VIRTUAL_TABLE`
    `ALTER_VIRTUAL_VIEW`
    `CREATE_FOREIGN_FUNCTION`
    `CREATE_FOREIGN_PROCEDURE`
    `CREATE_FOREIGN_TABLE` Create Table `CREATE ( FOREIGN TABLE | ( VIRTUAL )?`
    `CREATE_FUNCTION`
    `CREATE_PROCEDURE`
    `CREATE_TRIGGER` Create Trigger `CREATE TRIGGER ON INSTEAD OF ( INSERT | UPDATE | DELETE ) AS`
    `CREATE_VIEW`
    `CREATE_VIRTUAL_FUNCTION` Create Procedure `CREATE ( VIRTUAL | FOREIGN )?`
    `CREATE_VIRTUAL_PROCEDURE`
    `CREATE_VIRTUAL_VIEW`
    `OPTION_NAMESPACE` Option Namespace `SET NAMESPACE AS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toDdl()`
    `String[]` | `tokens()`
    `static TeiidDdlConstants.DdlStatement` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TeiidDdlConstants.DdlStatement[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CREATE_FOREIGN_TABLE

          public static final TeiidDdlConstants.DdlStatement CREATE_FOREIGN_TABLE

      Create Table

      `CREATE ( FOREIGN TABLE | ( VIRTUAL )? VIEW ) ( AS )?`

    - #### CREATE_VIRTUAL_VIEW

          public static final TeiidDdlConstants.DdlStatement CREATE_VIRTUAL_VIEW

    - #### CREATE_VIEW

          public static final TeiidDdlConstants.DdlStatement CREATE_VIEW

    - #### CREATE_VIRTUAL_FUNCTION

          public static final TeiidDdlConstants.DdlStatement CREATE_VIRTUAL_FUNCTION

      Create Procedure

      `CREATE ( VIRTUAL | FOREIGN )? ( PROCEDURE | FUNCTION ) ( ( ( )* )? ( RETURNS ( ( ( TABLE )? ( )* ) | ) )? ( )? ( AS )? )`

    - #### CREATE_VIRTUAL_PROCEDURE

          public static final TeiidDdlConstants.DdlStatement CREATE_VIRTUAL_PROCEDURE

    - #### CREATE_FOREIGN_FUNCTION

          public static final TeiidDdlConstants.DdlStatement CREATE_FOREIGN_FUNCTION

    - #### CREATE_FOREIGN_PROCEDURE

          public static final TeiidDdlConstants.DdlStatement CREATE_FOREIGN_PROCEDURE

    - #### CREATE_FUNCTION

          public static final TeiidDdlConstants.DdlStatement CREATE_FUNCTION

    - #### CREATE_PROCEDURE

          public static final TeiidDdlConstants.DdlStatement CREATE_PROCEDURE

    - #### OPTION_NAMESPACE

          public static final TeiidDdlConstants.DdlStatement OPTION_NAMESPACE

      Option Namespace

      `SET NAMESPACE AS`

    - #### ALTER_VIRTUAL_PROCEDURE

          public static final TeiidDdlConstants.DdlStatement ALTER_VIRTUAL_PROCEDURE

      Alter Options

      `ALTER ( VIRTUAL | FOREIGN )? ( TABLE | VIEW | PROCEDURE ) ( | )`

    - #### ALTER_VIRTUAL_TABLE

          public static final TeiidDdlConstants.DdlStatement ALTER_VIRTUAL_TABLE

    - #### ALTER_VIRTUAL_VIEW

          public static final TeiidDdlConstants.DdlStatement ALTER_VIRTUAL_VIEW

    - #### ALTER_FOREIGN_PROCEDURE

          public static final TeiidDdlConstants.DdlStatement ALTER_FOREIGN_PROCEDURE

    - #### ALTER_FOREIGN_TABLE

          public static final TeiidDdlConstants.DdlStatement ALTER_FOREIGN_TABLE

    - #### ALTER_FOREIGN_VIEW

          public static final TeiidDdlConstants.DdlStatement ALTER_FOREIGN_VIEW

    - #### ALTER_PROCEDURE

          public static final TeiidDdlConstants.DdlStatement ALTER_PROCEDURE

    - #### ALTER_TABLE

          public static final TeiidDdlConstants.DdlStatement ALTER_TABLE

    - #### ALTER_VIEW

          public static final TeiidDdlConstants.DdlStatement ALTER_VIEW

    - #### CREATE_TRIGGER

          public static final TeiidDdlConstants.DdlStatement CREATE_TRIGGER

      Create Trigger

      `CREATE TRIGGER ON INSTEAD OF ( INSERT | UPDATE | DELETE ) AS`

  - ### Method Detail

    - #### values

          public static TeiidDdlConstants.DdlStatement[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TeiidDdlConstants.DdlStatement c : TeiidDdlConstants.DdlStatement.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TeiidDdlConstants.DdlStatement valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toDdl

          public String toDdl()

      Specified by:
        `toDdl` in interface `TeiidDdlConstants.DdlElement`
      Returns:
        the DDL string representation (never `null` or empty)
      See Also:
        `TeiidDdlConstants.DdlElement.toDdl()`

    - #### tokens

          public String[] tokens()

      Returns:
        the tokens used by the DDL tokenizer (never `null` or empty)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.